# Interface IGenerateQueryDataOptions

interface IGenerateQueryDataOptions {
operation?: "query" | "subscription";
queryName?: string;
returning?: string;
tableName: string;
tableNamePostfix?: string;
variables?: any;
}

#### Hierarchy (view full)

- IGenerateQueryDataOptions
  - IGenerateQueryDataResult

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:17

#####
Index

### Properties

operation?
queryName?
returning?
tableName
tableNamePostfix?
variables?

## Properties

### `Optional` operation

operation?: "query" | "subscription"

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:20

### `Optional` queryName

queryName?: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:21

### `Optional` returning

returning?: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:22

### tableName

tableName: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:19

### `Optional` tableNamePostfix

tableNamePostfix?: string

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:18

### `Optional` variables

variables?: any

- Defined in work/deeplinks/deeplinks/imports/gql/query.ts:23

Generated using TypeDoc